Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.impl.xs
Class XMLSchemaValidator.ValueStoreBase

    java.lang.Object
      weblogic.apache.xerces.impl.xs.XMLSchemaValidator.ValueStoreBase

All Implemented Interfaces:
  weblogic.apache.xerces.impl.xs.identity.ValueStore

Direct Known Subclasses:
  XMLSchemaValidator.KeyRefValueStore, XMLSchemaValidator.KeyValueStore, XMLSchemaValidator.UniqueValueStore

Enclosing class:
  XMLSchemaValidator

    protected abstract class XMLSchemaValidator.ValueStoreBase

extends Object
implements weblogic.apache.xerces.impl.xs.identity.ValueStore

Value store implementation base class. There are specific subclasses for handling unique, key, and keyref.

Field Summary
`protected weblogic.apache.xerces.impl.xs.identity.IdentityConstraint` | `fIdentityConstraint` Identity constraint.
`protected weblogic.apache.xerces.impl.xs.XMLSchemaValidator.OrderedHashtable` | `fValues` Current data values.
`protected int` | `fValuesCount` Current data value count.
`protected Vector` | `fValueTuples` Data value tuples.
`protected weblogic.apache.xerces.impl.xs.identity.IDValue` | `NOT_AN_IDVALUE` Not a value (Unicode: #FFFF).

Constructor Summary
`protected` | `XMLSchemaValidator.ValueStoreBase(weblogic.apache.xerces.impl.xs.identity.IdentityConstraint identityConstraint)` Constructs a value store for the specified identity constraint.

Method Summary
`void` | `addValue(weblogic.apache.xerces.impl.xs.identity.Field field, weblogic.apache.xerces.impl.xs.identity.IDValue value)` Adds the specified value to the value store.
`void` | `append(XMLSchemaValidator.ValueStoreBase newVal)`
`void` | `clear()`
`boolean` | `contains(weblogic.apache.xerces.impl.xs.XMLSchemaValidator.OrderedHashtable tuple)` Returns true if this value store contains the specified values tuple.
`protected void` | `duplicateValue(weblogic.apache.xerces.impl.xs.XMLSchemaValidator.OrderedHashtable tuple)` Called when a duplicate value is added.
`void` | `endDocument()` Signals the end of the document.
`void` | `endDocumentFragment()`
`void` | `endValueScope()` Ends scope for value store.
`void` | `reportError(String key, Object[] args)`
`void` | `startValueScope()` Start scope for value store.
`String` | `toString()` Returns a string representation of this object.
`protected String` | `toString(weblogic.apache.xerces.impl.xs.XMLSchemaValidator.OrderedHashtable tuple)` Returns a string of the specified values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NOT_AN_IDVALUE

    protected weblogic.apache.xerces.impl.xs.identity.IDValue NOT_AN_IDVALUE

  Not a value (Unicode: #FFFF).

### fIdentityConstraint

    protected weblogic.apache.xerces.impl.xs.identity.IdentityConstraint fIdentityConstraint

  Identity constraint.

### fValues

    protected final weblogic.apache.xerces.impl.xs.XMLSchemaValidator.OrderedHashtable fValues

  Current data values.

### fValuesCount

    protected int fValuesCount

  Current data value count.

### fValueTuples

    protected final Vector fValueTuples

  Data value tuples.

Constructor Detail

### XMLSchemaValidator.ValueStoreBase

    protected XMLSchemaValidator.ValueStoreBase(weblogic.apache.xerces.impl.xs.identity.IdentityConstraint identityConstraint)

  Constructs a value store for the specified identity constraint.

Method Detail

### clear

    public void clear()

### append

    public void append(XMLSchemaValidator.ValueStoreBase newVal)

### startValueScope

    public void startValueScope()
                         throws XNIException

  Start scope for value store.

  Throws:
    `XNIException`

### endValueScope

    public void endValueScope()
                       throws XNIException

  Ends scope for value store.

  Throws:
    `XNIException`

### endDocumentFragment

    public void endDocumentFragment()
                             throws XNIException

  Throws:
    `XNIException`

### endDocument

    public void endDocument()
                     throws XNIException

  Signals the end of the document. This is where the specific instances of value stores can verify the integrity of the identity constraints.

  Throws:
    `XNIException`

### reportError

    public void reportError(String key,
                            Object[] args)

  Specified by:
    `reportError` in interface `weblogic.apache.xerces.impl.xs.identity.ValueStore`

### addValue

    public void addValue(weblogic.apache.xerces.impl.xs.identity.Field field,
                         weblogic.apache.xerces.impl.xs.identity.IDValue value)

  Adds the specified value to the value store.

  Specified by:
    `addValue` in interface `weblogic.apache.xerces.impl.xs.identity.ValueStore`
  Parameters:
    `value` - The value to add.
    `field` - The field associated to the value. This reference is used to ensure that each field only adds a value once within a selection scope.

### contains

    public boolean contains(weblogic.apache.xerces.impl.xs.XMLSchemaValidator.OrderedHashtable tuple)

  Returns true if this value store contains the specified values tuple.

### duplicateValue

    protected void duplicateValue(weblogic.apache.xerces.impl.xs.XMLSchemaValidator.OrderedHashtable tuple)
                           throws XNIException

  Called when a duplicate value is added. Subclasses should override this method to perform error checking.

  Parameters:
    `tuple` - The duplicate value tuple.
  Throws:
    `XNIException`

### toString

    protected String toString(weblogic.apache.xerces.impl.xs.XMLSchemaValidator.OrderedHashtable tuple)

  Returns a string of the specified values.

### toString

    public String toString()

  Returns a string representation of this object.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD